SPICEC(1)

NAME
spicec - Spice client

SYNOPSIS
spicec [-h, --host <host>] [-p, --port <port>] [-s, --secure-port <port>] [--secure-channels <ch0, ch1...>] [--unsecure-channels <ch0, ch1...>] [-w, --password <password>] [-f, --full-screen[=auto-conf]] [--canvas-type <type1, type2...>] [--enable-channels <ch0, ch1...>] [--disable-channels <ch0, ch1...>] [--help]

DESCRIPTION
spicec is a Spice client, it can be used to connect to Spice server, such as spice compatible QEMU

OPTIONS

-h, --host <host>
    Spice server address.

-p, --port <port>
    Spice server port

-s, --secure-port <port>
    Spice server secure port

--secure-channels <ch0, ch1...>
    Force secure connection on the specified channels Channels are: main, display, inputs, cursor, playback and record By default, any channel can be secured, depending on the --secure-port availability.

--unsecure-channels <ch0, ch1...>
    Force unsecure connection on the specified channels Channels are: main, display, inputs, cursor, playback and record. By default, any channel can be unsecured, depending on the --port availability.

-w, --password <password>
    Set a ticketing password (default is none)

-s, --secure-port <port>
    Spice server secure port

-f, --full-screen[=auto-conf]
    Open in a full screen mode. Optional automatic configuration of the remote display settings according to the client display settings. A guest agent must be installed and started for this option.

--canvas-type <type1, type2...>
    Select the available renderer. The order determines precedence For Linux client : only “cairo” canvas type is available. For Windows client : available types are “gdi” and “cairo”. The default is “gdi”.

--enable-channels <ch0, ch1...>
    Enable the specified channels. Use “all” for enabling all possible channels. Use the following names for enabling only the selected channels: “display”, “inputs”, “cursor”, “playback” and “record”. By default all channels are enabled.

--disable-channels <ch0, ch1...>
    Disable the specified channels. Use “all” for disabling all possible channels. Use the following names for enabling only the selected channels: “display”, “inputs”, “cursor”, “playback” and “record.” By default all channels are enabled.

--help
    Show command help.

CONTROL HOT KEYS
Shift + F11 Toggle full-screen / window mode

Shift + F12
    Release the cursor if captured in window

On debug mode, these are available as well:

Shift + F5
    Connect to the server

Shift + F6
    Disconnect from the server

SEE ALSO
Spice related documents can be found at http://www.spice-space.org/documentation.html

AUTHOR
Spice project

This manual page was written by Liang Guo <bluestonechina@gmail.com>, for the Debian project (and may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the Creative Commons Attribution-Share Alike 3.0 United States License. (See http://creativecommons.org/licenses/by-sa/3.0/us/legalcode)